## opensync 0.22

=== debian/changelog ===
opensync (0.22-7ubuntu12.04.0+2) precise; urgency=low

  * debian/rules: update config.{guess,sub} at build time

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 14 Jan 2015 00:55:44 +0100

opensync (0.22-6ubuntu15.04.0+2~a) vivid; urgency=low

  [ Michele Calgaro ]
  * debian/control:
    + fix automake dependency

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 21 Sep 2014 15:36:40 +0200

opensync (0.22-6ubuntu14.10.0+1) utopic; urgency=low

  * Switch to dh_python2

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 07 Sep 2013 15:10:40 +0200

opensync (0.22-6debian8.0.0+0) jessie; urgency=low

  * Fixed crappy test swig version
  * Removed unused variables
  * Removed -Werror to not take deprecated as error

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 20 Oct 2012 15:03:15 +0200

opensync (0.22-4) maverick; urgency=low

  * debian/control (Maintainer): Really remove Robert Collins now. 

 -- Michael Banck <mbanck@debian.org>  Sat, 05 Dec 2009 18:55:29 +0100

opensync (0.22-3) unstable; urgency=low

  * opensync/opensnyc_debug.c: Set privacy for traces by default. 
  * debian/control (Maintainer): Removed Robert Collins (Closes: #544166).
  * debian/rules: Applied patch by Kumar Appaiah.
    + (debian/configure-python%-stamp): Set python version explicitely
      (Closes: #557391)
    + (CROSS): New variable, better handle cross-building.
  * tests/Makefile.am, wrapper/Makefile.am, osplugin/Makefile.am,
    tools/Makefile.am, osengine/Makefile.am: Removed RPATH argument to
    LDFLAGS.
  * debian/rules (configure): Made PHONY.
  * debian/rules (build): Depend on configure.

 -- Michael Banck <mbanck@debian.org>  Sat, 05 Dec 2009 17:38:54 +0100

opensync (0.22-2) unstable; urgency=low

  * debian/libopensync0-dev.install: Do not install python stuff.
  * debian/control (Standards-Version): Bump to 3.7.3.
  * debian/control: Replaced ${Source:Version} with ${binary:Version}.

 -- Michael Banck <mbanck@debian.org>  Sun, 02 Mar 2008 12:39:41 +0100

opensync (0.22-1) unstable; urgency=low

  * New upstream release (Closes: #404856, #442827)
  * debian/control (Uploaders): Added myself.
  * debian/rules (debian/build-stamp): Added --enable-tracing.
  * opensync/opensync_user.c: Change user config dir to ~/.opensync-0.22.
  * debian/rules (debian/configure-stamp): New target.
  * debian/rules (debian/build-stamp): Move configuring to it.
  * debian/copyright: Added download location and clarified copyright and
    licensing (Closes: #439876, #455827).
  * debian/pyversions: Set 2.4 as minimum version (Closes: #445394).
  * debian/rules: Ported generic python handling from experimental branch.
  * debian/python-opensync: Wildcard python directory.
  * acinclude.m4: Add python2.5 to list of python interpreters.
  * Reran aclocal and autoconf.
  * debian/control (libopensync0-dbg): Set Priority to extra.
  * debian/control (python-opensync): Set Section to python.
  * debian/rules (binary-arch): Tighten shlibs to dh_makeshlibs -V.

 -- Michael Banck <mbanck@debian.org>  Fri, 29 Feb 2008 00:45:57 +0100

opensync (0.19-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use CURDIR instead of PWD to fix FTBFS with sudo (Closes: #396818).
  * Install osplugin binary in usr/lib (Closes: #396006).

 -- Luk Claes <luk@debian.org>  Sun,  5 Nov 2006 18:32:05 +0100

opensync (0.19-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * FTBFS: /opensync-0.19/tests/check_ipc.c:2062: warning: passing
    argument 3 of 'create_case' from incompatible pointer type 
    (Closes: #393720)

 -- Neil Williams <codehelp@debian.org>  Sun, 22 Oct 2006 00:37:28 +0100

opensync (0.19-1) unstable; urgency=low

  * New upstream release (Closes: #392162).
  * Remove autoreconf dependency on the debian/rules timestamp, developers can
    still run 'debian/rules configure' to recreate configure, but buildds should
    no longer randomly autoreconf (Closes: #387576).
  * Move libopensync0-dev to section libdevel (Closes: #367705).
  * Update python bindings short description (Closes: #377564).

 -- Robert Collins <robertc@robertcollins.net>  Mon, 16 Oct 2006 08:38:33 +1000

opensync (0.18-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild opensync against python-support 0.3.9 that will fix the stupid
    versionned soname for a python module (this *is* an upstream bug).
    (Closes: #378049).

 -- Pierre Habouzit <madcoder@debian.org>  Mon,  7 Aug 2006 09:56:08 +0200

opensync (0.18-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Uppdate package to the last python policy (Closes: #373470).

 -- Pierre Habouzit <madcoder@debian.org>  Sun,  2 Jul 2006 00:39:36 +0200

opensync (0.18-2) unstable; urgency=low

  * Build-depend on libtool.
  * Loosen the debhelper build-dep to allow building on sarge and breezy.

 -- Robert Collins <robertc@robertcollins.net>  Sun, 18 Dec 2005 00:59:13 +1100

opensync (0.18-1) unstable; urgency=low

  * Initial upload. closes: #342179

 -- Robert Collins <robertc@robertcollins.net>  Sun, 11 Dec 2005 20:52:35 +1100
